Package owl.translations.ltl2dpa

## Enum LTL2DPAFunction.Configuration

- java.lang.Object
- - java.lang.Enum<LTL2DPAFunction.Configuration>
  - - owl.translations.ltl2dpa.LTL2DPAFunction.Configuration

- All Implemented Interfaces:
    `Serializable`, `Comparable<LTL2DPAFunction.Configuration>`
  Enclosing class:
    LTL2DPAFunction

      public static enum LTL2DPAFunction.Configuration
      extends Enum<LTL2DPAFunction.Configuration>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLEMENT_CONSTRUCTION` |
    `COMPLETE` |
    `COMPRESS_COLOURS` |
    `EXISTS_SAFETY_CORE` |
    `GREEDY` |
    `GUESS_F` |
    `OPTIMISE_INITIAL_STATE` |
    `OPTIMISED_STATE_STRUCTURE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LTL2DPAFunction.Configuration` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LTL2DPAFunction.Configuration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPTIMISE_INITIAL_STATE

          public static final LTL2DPAFunction.Configuration OPTIMISE_INITIAL_STATE

    - #### OPTIMISED_STATE_STRUCTURE

          public static final LTL2DPAFunction.Configuration OPTIMISED_STATE_STRUCTURE

    - #### COMPLEMENT_CONSTRUCTION

          public static final LTL2DPAFunction.Configuration COMPLEMENT_CONSTRUCTION

    - #### EXISTS_SAFETY_CORE

          public static final LTL2DPAFunction.Configuration EXISTS_SAFETY_CORE

    - #### COMPLETE

          public static final LTL2DPAFunction.Configuration COMPLETE

    - #### GUESS_F

          public static final LTL2DPAFunction.Configuration GUESS_F

    - #### GREEDY

          public static final LTL2DPAFunction.Configuration GREEDY

    - #### COMPRESS_COLOURS

          public static final LTL2DPAFunction.Configuration COMPRESS_COLOURS

  - ### Method Detail

    - #### values

          public static LTL2DPAFunction.Configuration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LTL2DPAFunction.Configuration c : LTL2DPAFunction.Configuration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LTL2DPAFunction.Configuration valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null